<?php
function iffiliate_product_theme_shortcode( $params, $content ) {
    extract( shortcode_atts( 
        array(
            'number_of_products_by_category'       => '',
            'number_of_columns'                    => '',
            'category'                             => ''
        ), $params ) );

    if (isset($number_of_columns)) {
        if ($number_of_columns == '' || $number_of_columns == '3') {
            $column_type = 'col-md-4';
        }elseif($number_of_columns == '4'){
            $column_type = 'col-md-3';
        }
    }else{
        $column_type = 'col-md-3';
    }
    $shortcode_content = '';
    $shortcode_content .= '<div class="mt_simple_themes">';
      $shortcode_content .= '<div class="mt_simple_themes row">';
          $args_prods = array(
                'posts_per_page'   => $number_of_products_by_category,
                'order'            => 'DESC',
                'post_type'        => 'product',
                'tax_query' => array(
                  array(
                      'taxonomy' => 'product_cat',
                      'field' => 'slug',
                      'terms' => $category
                  )
                  ),
                'post_status'      => 'publish' 
           ); 
          $prods = get_posts($args_prods);
          
          foreach ($prods as $prod) {
              #thumbnail
            global $product, $WooEnvato;
              $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $prod->ID ), 'iffiliate_post_pic700x450' );
              $author_url = get_post_meta( $prod->ID, '_we_author', true );
              $number_sales = get_post_meta( $prod->ID, '_we_number_of_sales', true );
              if ($thumbnail_src) {
                  $post_img = '<img class="portfolio_post_image" src="'. esc_url($thumbnail_src[0]) . '" alt="'.$prod->post_title.'" />';
                  $post_col = 'col-md-12';
              }else{
                  $post_col = 'col-md-12 no-featured-image';
                  $post_img = '';
              }
              $shortcode_content .= '<div id="product-id-'.esc_attr($prod->ID).'">
                                      <div class="'.$column_type.' modeltheme-product ">
                                        <div class="mt-theme-wrapper"> 
                                          <div class="modeltheme-thumbnail-and-details">
                                            <a class="modeltheme_media_image" title="'.esc_attr($prod->post_title).'" href="'.esc_url(get_permalink($prod->ID)).'"> '.$post_img.'</a>
                                          </div>
                                          <div class="modeltheme-title-metas">
                                            <h3 class="modeltheme-archive-product-title">
                                              <a href="'.esc_url(get_permalink($prod->ID)).'" title="'. $prod->post_title .'">'. $prod->post_title .'</a>
                                            </h3>
                                            <div class="info-wrapper">
                                              <p class="theme-info">'.esc_html__('by ','modeltheme').'<a href="'.esc_url($author_url['url']).'" class="we-product-author">'.$author_url['username'].'</a></p>
                                              <p class="theme-info">'.$number_sales.''.esc_html__(' sales','modeltheme').'</p>
                                            </div>
                                            <a href="'.esc_url(get_permalink($prod->ID)).'" class="button " rel="nofollow">'.esc_html__('View item','modeltheme').'</a>';      
                    $shortcode_content .= '</div>
                                        </div>
                                      </div>                     
                                    </div>';
                                  }
         $shortcode_content .= '</div>';
      $shortcode_content .= '</div>';
    wp_reset_postdata();

    return $shortcode_content;
}
add_shortcode('shop-themes-affiliate', 'iffiliate_product_theme_shortcode');
?>