<?php 
require_once(__DIR__.'/../vc-shortcodes.inc.arrays.php');

function mt_affiliate_course_categ($params,  $content = NULL) {
    extract( shortcode_atts( 
        array(
          'number_columns'     => ''
        ), $params ) );

    $html = '';
      $html .= '<div class="course-categories-wrapper row">';
        $html .= '<div class="mt-categories-content mt_'.esc_attr($number_columns).'">';       
            $html .= do_shortcode($content);
        $html .= '</div>';
    $html .= '</div>';

    return $html;
}
add_shortcode('mt_affiliate_course_categ_short', 'mt_affiliate_course_categ');
/**
||-> Shortcode: Child Shortcode v1
*/
function mt_affiliate_course_categ_items($params, $content = NULL) {

    extract( shortcode_atts( 
        array(
          'additional_title' => '',
          'additional_link'  => '',
          'icon'             => ''
        ), $params ) );


    $html = '';
      $html .= '<ul class="single-category-wrapper">'; 
        $html .= '<a href="'.esc_url($additional_link).'"><li class="single-category">';
            $html .= '<i class="'.esc_attr($icon).'"></i>';
            $html .= '<span class="mt-title">'.esc_attr($additional_title).'</span>';    
        $html .= '</li></a>';
      $html .= '</ul>';

      return $html;
}
add_shortcode('mt_affiliate_course_categ_short_item', 'mt_affiliate_course_categ_items');

/**
||-> Map Shortcode in Visual Composer with: vc_map();
*/
if ( function_exists('vc_map') ) {
    vc_map( array(
        "name" => esc_attr__("iffiliate - Course Categories (Course Affiliates)", 'modeltheme'),
        "base" => "mt_affiliate_course_categ_short",
        "as_parent" => array('only' => 'mt_affiliate_course_categ_short_item'), 
        "content_element" => true,
        "show_settings_on_create" => true,
        "icon" => plugins_url( '../images/travel-amenities.svg', __FILE__ ),
        "category" => esc_attr__('Iffiliate', 'modeltheme'),
        "is_container" => true,
        "params" => array(
            array(
               "group" => "Options",
               "type" => "dropdown",
               "holder" => "div",
               "class" => "",
               "heading" => esc_attr__("Number of columns",'modeltheme'),
               "param_name" => "number_columns",
               "std" => '',
               "value" => array(
                    '4'          => 'col-md-3',
                    '3'          => 'col-md-4'
               )
            ),  
        ),
        "js_view" => 'VcColumnView'
    ) );
    vc_map( array(
        "name" => esc_attr__("Single Category", 'modeltheme'),
        "base" => "mt_affiliate_course_categ_short_item",
        "content_element" => true,
        "as_child" => array('only' => 'mt_affiliate_course_categ_short'),
        "params" => array(
             array(
               "group" => "Options",
               "type" => "textfield",
               "holder" => "div",
               "class" => "",
               "heading" => esc_attr__("Set additional title",'modeltheme'),
               "param_name" => "additional_title",
               "std" => ''
            ),
             array(
               "group" => "Options",
               "type" => "textfield",
               "holder" => "div",
               "class" => "",
               "heading" => esc_attr__("Set additional link",'modeltheme'),
               "param_name" => "additional_link",
               "std" => ''
            ),
            array(
              "group" => "Options",
              "type" => "dropdown",
              "heading" => esc_attr__("Icon class", 'modeltheme'),
              "param_name" => "icon",
              "std" => '',
              "holder" => "div",
              "class" => "",
              "description" => "",
              "value" => $fa_list
            ),   
            
        )
    ) );
    //Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_mt_affiliate_course_categ_short extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_mt_affiliate_course_categ_short_item extends WPBakeryShortCode {
        }
    }
}
?>